tvtime(1)

NAME
tvtime - a high quality television application

SYNOPSIS
tvtime [ OPTION ] ...

DESCRIPTION
tvtime is a high quality television application for use with video capture cards. tvtime processes the input from a capture card and displays it on a computer monitor or projector. tvtime supports:

•   Deinterlaced output at full interlaced rate of 59.94 frames per second for NTSC source, or 50 frames per second for PAL sources. This gives smoothness of motion and high visual quality.

•   Multiple deinterlacing algorithms for finding the optimal mode for the video content and available processor speed.

•   16:9 aspect ratio mode for the highest available resolution when processing input from an external DVD player or digital satellite receiver.

•   A super-slick on-screen-display for the complete television experience, with a featureful menu system.

USAGE
Here are the core set of key bindings you want to learn for using tvtime:

    Escape or q
        Quit

    F1 or tab
        Show menu

    up/down
        Change channels

    0-9 and Enter
        Change channels

    Backspace
        Jump to previous channel

    i   Change input

    m   Mute

    +/- or left/right
        Volume control

    f   Fullscreen

    s   Take a screenshot

    Enter
        Display info

    d   Display debug statistics
Here are some advanced keys. These features are all configurable via the menu, but some of these may be useful if you use the features often:

    e   Toggle audio mode (stereo/mono/SAP)

    v   Toggle always-on-top with supporting window managers

    F5/F6/F7
        Picture settings

    Space
        Restore default picture settings

    /   Resize the window to match the content inside it (after applying a matte or switching to 16:9 mode)

    c   Toggle closed caption decoding (NTSC only)

OPTIONS

-a, --widescreen
    This option starts tvtime in 16:9 aspect ratio mode.

-A, --nowidescreen
    This option starts tvtime in 4:3 aspect ratio mode.

-h, --help
    Show usage information.

-k, --slave
    Disables keyboard input in tvtime for slave mode. Slave mode was added for integration with PVR applications like freevo or mythtv, so that freevo can handle keyboard input while tvtime is running. In slave mode, keystrokes are ignored but they are printed to standard output, and commands are read from standard input in the same syntax as tvtime-command.

-m, --fullscreen
    Start tvtime in fullscreen mode.

-M, --window
    Start tvtime in windowed mode.

-s, --showdrops
    Print frame skip information (for debugging).

-S, --saveoptions
    Save command line options to the config file. This will save the V4L device, VBI device, input number, norm, frequency, startup fullscreen setting, aspect ratio, verbose mode, and output window height.

-v, --verbose
    The verbose setting indicates that we should print full informational and warning messages to standard error while running tvtime. Otherwise, only critical errors will be printed to the output.

-F, --configfile=FILE
    Additional config file to load settings from.

-g, --geometry=GEOMETRY
    Sets the geometry of the window, for example, 400x300 for a window 400 pixels wide and 300 pixels tall. A width value of 0 signifies that the appropriate width for the given height will be used. For 4:3 content on a square pixel display, this defaults to a 768×576 window.

-I, --inputwidth=SAMPLING
    V4L input scanline sampling (defaults to 720. This sets how many pixels per scanline to request from the capture card. A higher setting gives better quality, while a lower setting means we do less work, and so tvtime will run faster. If you have a slower CPU (like, less than 500Mhz or so), maybe values of 480 or 400 might suit you best. For best quality, choose a high value like 720 or 768. Many capture cards cannot sample higher than 768 pixels per scanline.

-d, --device=NAME
    video4linux device to use (defaults to /dev/video0).

-b, --vbidevice=DEVICE
    VBI device to use (defaults to /dev/vbi0).

-i, --input=INPUTNUM
    video4linux input number (defaults to 0). Cards commonly have a bunch of sources, for example, on my WinTV card, source 0 is my tuner and source 1 is the composite input.

-c, --channel=CHANNEL
    On startup, tvtime will tune to the given channel. Otherwise, the channels from the config file will be used.

-n, --norm=NORM
    The mode to set the tuner to (defaults to NTSC). Valid modes are:
    • | NTSC
    • | PAL
    • | SECAM
    • | PAL-NC
    • | PAL-M
    • | PAL-N
    • | NTSC-JP

-f, --frequencies=NAME
    The channels you are receiving with the tuner (defaults to us-cable). Valid values are:
    • | us-cable
    • | us-broadcast
    • | japan-cable
    • | japan-broadcast
    • | europe
    • | australia
    • | australia-optus
    • | newzealand
    • | france
    • | russia
    • | custom (first run 'tvtime-scanner')

-t, --xmltv=FILE
    Reads XMLTV listings from the given file to display on the OSD. Channels are looked up based on their name, and tvtime will display the show title, sub-title and show description on the OSD.

-l, --xmltvlanguage=LANG
    Use XMLTV data in given language, if available. Languages are represented by their two-letter language code (for example, "de" for German). The default language used in the file will be used if this is unset or set to "none"

-X, --display=DISPLAY
    Uses the given X display to connect to.

-x, --mixer=DEVICE[:CH]
    The mixer device and channel for the volume controls. (defaults to /dev/mixer:line). Valid channels are:
    • | vol
    • | bass
    • | treble
    • | synth
    • | pcm
    • | speaker
    • | line
    • | mic
    • | cd
    • | mix
    • | pcm2
    • | rec
    • | igain
    • | ogain
    • | line1
    • | line2
    • | line3
    • | dig1
    • | dig2
    • | dig3
    • | phin
    • | phout
    • | video
    • | radio
    • | monitor

FILES
/tvtime/tvtime.xml
$HOME/.tvtime/tvtime.xml
$HOME/.tvtime/stationlist.xml
/var/run/tvtime/TV-*/tvtimefifo

AUTHORS
Billy Biggs, Doug Bell, Alexander S. Belov, Achim Schneider, David I. Lehn, Paul Jara, Robert Högberg, Craig Dooley, Bart Dorsey, Nicolas Boos, Simon Law, Mark Trolley, Joachim Koenig, Stewart Allen, Justin A, Brian Goines, Krister Lagerstrom.

SEE ALSO
tvtime-command(1), tvtime-configure(1), tvtime-scanner(1), tvtime.xml(5), stationlist.xml(5).